Skip to main content
GET
/
devices
/
batch
/
state
Get bulk state change job status
curl --request GET \
  --url https://dashboard.hologram.io/api/1/devices/batch/state \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": {
    "tasks": [
      {
        "job_id": 123,
        "requester_org_name": "<string>",
        "requester_first_name": "<string>",
        "requester_last_name": "<string>",
        "timestamp_start": "2023-11-07T05:31:56Z",
        "timestamp_end": "2023-11-07T05:31:56Z",
        "device_count": 123,
        "action": "<string>",
        "status": "<string>",
        "source": "<string>"
      }
    ],
    "startAfterIds": [
      "<unknown>"
    ],
    "totalPages": 123,
    "totalTasks": 123
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

orgid
integer

Filter results to this organization ID

Response

OK

success
boolean
data
object